data power_example_16_3_1;
 input trt p;
 N=50;
 mu=N*p;
 do block=1 to 5;
 output;
end;
datalines;
0 0.15
1 0.25
2 0.35
;

proc glimmix data=power_example_16_3_1;
 class trt block;
 model mu/N=trt;
 random intercept/subject=block;
 parms (0.1)/hold=1;
 contrast 'control vs experimental' trt 2 -1 -1;
 contrast 'control vs exp 1' trt 1 -1 0;
 contrast 'control vs exp 2' trt 1 0 -1;
 contrast 'exp 1 vs exp 2' trt 0 1 -1;
 ods output tests3=F_overall contrasts=F_contrasts;
run;

data power;
 set F_overall F_contrasts;
  nc_parm=numdf*Fvalue;
  alpha=0.05;
  F_Crit=Finv(1-alpha,numdf,dendf,0);
  Power_F=1-probF(F_crit,numdf,dendf,nc_parm);
proc print data=power;
run;
