/* Example 3.C.5 - fixed location, factorial treatment structure, Gaussian response           */
/* illustrates slicediff, lsmestimate & distinction between lsmestimate & estimate statements */
/* use Data Set 3.2                                                                           */
proc glimmix data=MultiLoc_4Trt;
 class loc a b;
 model y=a|b loc;
 lsmeans a b / diff e;
 lsmeans a*b / slicediff=(a b);
 lsmestimate a 'a0 marg mean' 1 0 / e;
 lsmestimate b 'b0 marg mean' 1 0 / e;
 lsmestimate a*b 'a|b0 simple effect' 1 0 -1 0,
                 'b|a0 simple effect' 1 -1 0 0 / e;
 estimate 'a0 marginal mean' intercept 2 a 2 0 b 1 1 a*b 1 1 0 0,
          'b0 marginal mean' intercept 2 a 1 1 b 2 0 a*b 1 0 1 0,
          'a|b0 simple effect' a 1 -1 a*b 1 0 -1 0, 
          'b|a0 simple effect' b 1 -1 a*b 1 -1 0 0 / e divisor=2,2,1,1; 
run;
