/* Data Set 3.1                                                */
/* example data from CRD with 2 treatments (Trt = 0 and 1)     */
/* unit of observation = unit of replication - denoted Unit_ID */
/* There are 5 response variables:                             */
/*  Y is continuous & may be assumed Gaussian                  */
/*  N and F specify a binomial response                        */
/*   N is the number of obs/plot                               */
/*   F is the number of "successes"                            */
data CRD_2Trt_Ex;
 input Trt Unit_ID Y N F;
datalines;
0 1 7.33 21 0
0 2 11.01 28 5
0 3 8.51 28 1
0 4 13.22 42 5
0 5 9.34 32 5
0 6 11.67 22 0
0 7 14.42 33 4
0 8 7.45 25 3
0 9 13.95 19 1
0 10 8.34 29 5
1 101 19.06 32 12
1 102 12.43 23 7
1 103 6.68 21 7
1 104 13.57 34 11
1 105 9.95 29 10
1 106 11.37 42 9
1 107 13.2 30 10
1 108 16.03 32 8
1 109 9.11 31 10
1 110 10.48 24 3
;
proc print data=CRD_2Trt_Ex;
run;
