/* Inadvertantly called Data Set 5.1 in Text */
/* Data for example 5.2                      */
data ch5_orthog_main_effects;
 input a b c y;
datalines;
1 1 1 9.8
1 1 1 10.1
1 0 0 12.4
1 0 0 12.2
1 0 0 11.3
1 0 0 12.5
0 1 0 10.2
0 1 0 10.7
0 0 1 8.4
;
/* A first, then B then C */
proc glimmix data=ch5_orthog_main_effects;;
 class a;
 model y=a;
 lsmeans a/diff;
run;
/* for illustration in Chapter 5, use Type 1 hypothesis */
/* a.k.a. "sequential fitting hypotheses"               */
/* distinction between Type 1 and 3 hypotheses
     further developed in Chapter 7                     */
proc glimmix data=ch5_orthog_main_effects;;
 class a b;
 model y=a b/htype=1;
 lsmeans a b/diff;
run;proc glimmix data=ch5_orthog_main_effects;;
 class a b c;
 model y=a b c/htype=1;
 lsmeans a b c/diff;
run;
/* B first, then A then C */
proc glimmix data=ch5_orthog_main_effects;;
 class b;
 model y=b;
 lsmeans b/diff;
run;
/* for illustration in Chapter 5, use Type 1 hypothesis */
/* a.k.a. "sequential fitting hypotheses"               */
/* distinction between Type 1 and 3 hypotheses
     further developed in Chapter 7                     */
proc glimmix data=ch5_orthog_main_effects;;
 class a b;
 model y=b a/htype=1;
 lsmeans b a/diff;
run;proc glimmix data=ch5_orthog_main_effects;;
 class a b c;
 model y=b a c/htype=1;
 lsmeans b a c/diff;
run;
/* reader can supply other orders of fitting shown in textbook */
