data CRD_4Trt;
 input trt y;
datalines;
0 24.3
0 23.4
0 22.4
0 23.3
1 20
1 23
1 22.6
1 21.1
2 21.7
2 20.4
2 21.5
2 19.8
3 20
3 20
3 19
3 20.1
;
/* fit model with heterogeneous variance by trt */
/* use COVTEST to obtain LR test of homogeneity */
proc glimmix data=CRD_4Trt; 
 class trt;
  model y=trt; 
  random _residual_ / group=trt;
  covtest homogeneity;
run;
/* "usual" one-way ANOVA model assuming homogeneous variance */
proc glimmix data=CRD_4Trt; 
 class trt;
  model y=trt; 
  random _residual_ ;
run; 
 
