data example_9_4;
 input a b y;
datalines;
1 1 12.9
1 1 13.6
2 1 10
2 1 9.8
1 2 16
1 2 13.6
2 2 11.3
2 2 16.1
1 3 12.4
1 3 14.3
2 3 15.4
2 3 10.6
1 4 16.7
1 4 17.4
2 4 14.7
2 4 12.6
1 5 17.8
1 5 15.7
2 5 6.9
2 5 9.9
1 6 12.7
1 6 8.1
2 6 7.5
2 6 11.3
1 7 17.9
1 7 16.3
2 7 20.9
2 7 22
1 8 16.7
1 8 15
2 8 8.9
2 8 8.5
;

proc glimmix data=example_9_4;
 class a b;
 model y=a / solution;
 random intercept a/ subject=b solution;
 lsmeans a / diff;
 estimate 'overall mean'  intercept 1 / e;
 estimate 'blup a_1 narrow' intercept 8 a 8 0 | intercept 1 a 1 0 / subject 1 1 1 1 1 1 1 1 divisor=8;
 estimate 'blup a_2 narrow' intercept 8 a 0 8 | intercept 1 a 0 1 / subject 1 1 1 1 1 1 1 1 divisor=8;
 estimate 'blup a_1 intermediate' intercept 8 a 8 0 | intercept 1 / subject 1 1 1 1 1 1 1 1 divisor=8;
 estimate 'blup a_2 intermediate' intercept 8 a 0 8 | intercept 1 / subject 1 1 1 1 1 1 1 1 divisor=8;
 estimate 'blup diff narrow' a 8 -8 |  b 1 -1 /  subject 1 1 1 1 1 1 1 1 divisor=8;
 estimate 'blup a_1 @ b_1' intercept 1 a 1 0 | intercept 1 a 1 0/ subject 1 0;
 estimate 'blup a_2 @ b_1' intercept 1 a 0 1 | intercept 1 a 0 1/ subject 1 0;
 estimate 'blup diff @ b_1'  a 1 -1 | a 1 -1 / subject 1 0;
 estimate 'blup diff @ b_2'  a 1 -1 | a 1 -1 / subject 0 1 0;
 estimate 'blup diff @ b_3'  a 1 -1 | a 1 -1  / subject 0 0 1 0;
 estimate 'blup diff @ b_4'  a 1 -1 | a 1 -1  / subject 0 0 0 1 0;
 estimate 'blup diff @ b_5'  a 1 -1 | a 1 -1  / subject 0 0 0 0 1 0;
 estimate 'blup diff @ b_6'  a 1 -1 | a 1 -1  / subject 0 0 0 0 0 1 0;
 estimate 'blup diff @ b_7'  a 1 -1 | a 1 -1  / subject 0 0 0 0 0 0 1 0;
 estimate 'blup diff @ b_8'  a 1 -1 | a 1 -1  / subject 0 0 0 0 0 0 0 1;
run;
proc glm data=example_9_4;
 class a b;
 model y=a|b;
 random b a*b/test;
 lsmeans a/stderr e;
 lsmeans a/stderr e=a*b e;
 estimate a diff a 1 -1/e;
 estimate a1 @ b_1 intercept 1 a 1 0 b 1 0 0 0 0 0 0 0 a*b 1 0;
 estimate a2 @ b_1 intercept 8 a 0 8 b 1 0 0 0 0 0 0 0 a*b 0 0 0 0 0 0 0 0 1;
 estimate diff @ b_1 a 1 -1 a*b 1 0 0 0 0 0 0 0 -1 0 0 0 0 0 0 0;
 estimate diff @ b_2 a 1 -1 a*b 0 1 0 0 0 0 0 0 0 -1 0 0 0 0 0 0;
 estimate diff @ b_3 a 1 -1 a*b 0 0 1 0 0 0 0 0 0 0 -1 0 0 0 0 0;
 estimate diff @ b_4 a 1 -1 a*b 0 0 0 1 0 0 0 0 0 0 0 -1 0 0 0 0;
 estimate diff @ b_5 a 1 -1 a*b 0 0 0 0 1 0 0 0 0 0 0 0 -1 0 0 0;
 estimate diff @ b_6 a 1 -1 a*b 0 0 0 0 0 1 0 0 0 0 0 0 0 -1 0 0;
 estimate diff @ b_7 a 1 -1 a*b 0 0 0 0 0 0 1 0 0 0 0 0 0 0 -1 0;
 estimate diff @ b_8 a 1 -1 a*b 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 -1;
 estimate a1 @ b_1,4,5,8 intercept 4 a 0 4 b 1 0 0 1 1 0 0 1 
          a*b 1 0 0 1 1 0 0 1 0 0 0 0 0 0 0 0/divisor=4;
 estimate a2 @ b_1,4,5,8 intercept 4 a 0 4 b 1 0 0 1 1 0 0 1
         a*b 0 0 0 0 0 0 0 0 1 0 0 1 1 0 0 1/divisor=4;
 estimate diff @ b_1,4,5,8 a 4 -4 a*b 1 0 0 1 1 0 0 1 -1 0 0 -1 -1 0 0 -1 / divisor=4;
 estimate a1 @ b_2,3,6,7 intercept 4 a 0 4 b 0 1 1 0 0 1 1 0 
         a*b 0 1 1 0 0 1 1 0 0 0 0 0 0 0 0 0/divisor=4;
 estimate a2 @ b_2,3,6,7 intercept 4 a 0 4 b 0 1 1 0 0 1 1 0
         a*b 0 0 0 0 0 0 0 0 0 1 1 0 0 1 1 0/divisor=4;
 estimate diff @ b_2,3,6,7 a 4 -4 
         a*b 0 1 1 0 0 1 1 0 0 -1 -1 0 0 -1 -1 0 / divisor=4;
run;
