data Poisson;
seed=20111104;
lamda_0=2;
lamda_1=5;
eta_0=log(lamda_0);
eta_1=log(lamda_1);
unit_variance=1;
do set=1 to 10000;
 do trt=0 to 1;
  do unit=1 to 10;
   eta_ij=(trt=0)*eta_0+(trt=1)*eta_1+sqrt(unit_variance)*rannor(seed);
   lamda_ij=exp(eta_ij);
   Observed_Count=ranpoi(seed,lamda_ij);
   true_poisson_lamda=(trt=0)*lamda_0+(trt=1)*lamda_1;
   True_Poisson=ranpoi(seed,true_poisson_lamda);
   output;
  end;
 end;
end;
proc sort data=poisson;
 by trt;
proc univariate plot;
 by trt;
 var Observed_Count True_Poisson;
 histogram Observed_Count / normal midpoints=0 to 20;
 histogram True_Poisson / normal midpoints=0 to 20;
run;
proc univariate;
 by trt;
 where observed_count<26;
 var Observed_Count True_Poisson;
 histogram Observed_Count / normal midpoints=0 to 25;
 histogram True_Poisson / normal midpoints=0 to 25;
run;
