data NegBin;
seed=20111104;
rate_0=10;
rate_1=5;
blk_var=1;
phi=0.4;
do experiment=1 to 10000;
 do block=1 to 10;
 blk_eff=sqrt(blk_var)*rannor(seed);
  do trt=0 to 1;
   rate_trt=(trt=0)*rate_0+(trt=1)*rate_1;
   log_rate_trt=log(rate_trt);
   eta_ij=log_rate_trt+blk_eff;
    alpha=1/phi;
    beta=phi;
    ilink_ij=exp(eta_ij);
    unit_effect=beta*rangam(seed,Alpha);
    Observed_Count=ranpoi(seed,unit_effect*ilink_ij);
	True_NegativeBinomial=ranpoi(seed,unit_effect*rate_trt);
   output;
  end;
 end;
end;
proc sort data=NegBin;
 by trt;
proc univariate plot data=NegBin;
 by trt;
 var Observed_Count True_NegativeBinomial;
 histogram Observed_Count / normal midpoints=0 to 20;
 histogram True_NegativeBinomial / normal midpoints=0 to 20;
run;
proc univariate data=NegBin;
 by trt;
 where observed_count<50;
 var Observed_Count True_NegativeBinomial;
 histogram Observed_Count / normal midpoints=0 to 50;
 histogram True_NegativeBinomial / normal midpoints=0 to 50;
run;
