data bib73;
 input block trt Y F N;
datalines;
1 1 91.3 42 46
1 2 60.8 31 51
1 3 71.7 43 60
2 1 60.4 32 53
2 4 59.1 26 44
2 5 35.9 14 39
3 1 88.1 37 42
3 6 40 20 50
3 7 3.6 2 55
4 2 71.4 40 56
4 4 14.9 7 47
4 6 26.7 12 45
5 2 80 32 40
5 5 84.2 48 57
5 7 78.8 41 52
6 3 39.6 21 53
6 4 11.7 7 60
6 7 18.2 10 55
7 3 63.8 37 58
7 5 11.4 5 44
7 6 30.9 17 55
;
/* run 1 */
proc glimmix data=bib73;
 class block trt;
 model Y=trt;
 random block;
 lsmeans trt;
 title 'Run 1';
run;
/* run 2 */
proc glimmix data=bib73;
 class block trt;
 model Y=trt;
 random _residual_ / type=cs subject=block;
 lsmeans trt;
 title 'Run 2';
run;

/* run 3 */
proc glimmix data=bib73;
 class block trt;
 model F/N=trt;
 random block;
 title 'Run 3';
run;
/* run 4 */
proc glimmix data=bib73;
 class block trt;
 model F/N=trt;
 random _residual_ / type=cs subject=block;
 lsmeans trt;
 title 'Run 4';
run;
/* run 5 */
proc glimmix data=bib73;
 class block trt;
 model F/N=trt;
 random block;
 random _residual_ ;
 lsmeans trt;
 title 'Run 5';
run;

/* run 6 */
proc glimmix data=bib73;
 class block trt;
 model F/N=trt;
 random block block*trt;
 title 'Run 6';
run;
/* run 7 */
proc glimmix data=bib73;
 class block trt;
 model F/N=trt;
 random trt / type=cs subject=block;
 lsmeans trt;
 title 'Run 7';
run;
