data RptM_Binomial;
  input trt id time Fav N;
datalines;
1 1 1 5 14
1 1 2 0 14
1 1 3 1 14
1 1 4 3 14
1 1 5 0 14
1 1 6 1 14
1 2 1 7 14
1 2 2 8 14
1 2 3 3 14
1 2 4 5 14
1 2 5 10 14
1 2 6 1 14
1 3 1 9 14
1 3 2 3 14
1 3 3 11 14
1 3 4 12 14
1 3 5 14 14
1 3 6 10 14
1 4 1 7 14
1 4 2 10 14
1 4 3 8 14
1 4 4 1 14
1 4 5 4 14
1 4 6 3 14
1 5 1 7 14
1 5 2 4 14
1 5 3 2 14
1 5 4 10 14
1 5 5 12 14
1 5 6 5 14
1 6 1 1 14
1 6 2 4 14
1 6 3 11 14
1 6 4 9 14
1 6 5 7 14
1 6 6 7 14
2 1 1 1 14
2 1 2 2 14
2 1 3 8 14
2 1 4 9 14
2 1 5 8 14
2 1 6 12 14
2 2 1 6 14
2 2 2 4 14
2 2 3 4 14
2 2 4 12 14
2 2 5 9 14
2 2 6 10 14
2 3 1 4 14
2 3 2 6 14
2 3 3 8 14
2 3 4 13 14
2 3 5 14 14
2 3 6 12 14
2 4 1 6 14
2 4 2 2 14
2 4 3 5 14
2 4 4 3 14
2 4 5 8 14
2 4 6 11 14
2 5 1 7 14
2 5 2 11 14
2 5 3 14 14
2 5 4 13 14
2 5 5 12 14
2 5 6 13 14
2 6 1 10 14
2 6 2 7 14
2 6 3 9 14
2 6 4 9 14
2 6 5 11 14
2 6 6 12 14
;  
/* run 1  */
proc glimmix   DATA=RptM_Binomial;
 class trt time id;
 model Fav/N=trt|time/ddfm=kr;
 random _residual_ /subject=id(trt) type=un;
 nloptions maxiter=333;
 covtest 'correlated errors?' DiagR;
 covtest 'UN vs Toeplitz'
   general 0  1 0  0 -1 0,
           0  1 0  0 0 0  0 0 -1 0,
           0  1 0  0 0 0  0 0 0 0  0 0 0 -1 0,
           0  1 0  0 0 0  0 0 0 0  0 0 0 0 0  0 0 0 0 -1 0,
		   0  0 0  1 0 0  0 -1 0 0,
		   0  0 0  1 0 0  0 0 0 0  0 0 -1 0,
		   0  0 0  1 0 0  0 0 0 0  0 0 0 0 0  0 0 0 -1 0,
		   0  0 0  0 0 0  1 0 0 0  0 -1 0,
		   0  0 0  0 0 0  1 0 0 0  0 0 0 0 0  0 0 -1 0,
           0  0 0  0 0 0  0 0 0 0  1 0 0 0 0  0 -1 0;
run;

/* run 2  */
proc glimmix   DATA=RptM_Binomial;
 class trt time id;
 model Fav/N=trt|time/ddfm=kr;
 random _residual_ /subject=id(trt) type=ante(1);
 nloptions maxiter=1000;
  covtest 'ANTE(1) vs ARH(1)'
   general 0 0 0 0 0 0  1 -1 0,
           0 0 0 0 0 0  1 0 -1 0,
           0 0 0 0 0 0  1 0  0 -1 0,
           0 0 0 0 0 0  1 0  0 0 -1;
run;

/* run 3  */
proc glimmix   DATA=RptM_Binomial;
 class trt time id;
 model Fav/N=trt|time/ddfm=kr;
 random _residual_ /subject=id(trt) type=arh(1);
 nloptions maxiter=10;
  covtest 'ARH(1) vs AR(1)'
   general 1 -1 0,
           1 0 -1 0,
           1 0 0 -1 0,
           1 0 0 0 -1 0,
           1 0 0 0 0 -1;
run;

/* run 4  */
proc glimmix   DATA=RptM_Binomial;
 class trt time id;
 model Fav/N=trt|time/ddfm=kr;
 random intercept /subject=id(trt);
 random _residual_ /subject=id(trt) type=ar(1);
 nloptions maxiter=25;
  covtest 'AR(1) vs AR(1)+id(trt) effect' 0 .;
run;

/* run 5  */
proc glimmix   DATA=RptM_Binomial;
 class trt time id;
 model Fav/N=trt|time/ddfm=kr;
 random _residual_ /subject=id(trt) type=ar(1);
 nloptions maxiter=25;
run;

proc glimmix   DATA=RptM_Binomial;
 class trt time id;
 model Fav/N=trt|time/ddfm=kr;
 random _residual_ /subject=id(trt) type=toep;
 nloptions maxiter=25;
run;

