data prob1_count_part;
 input block a b count;
datalines;
1 1 1 10
1 1 2 62
1 1 3 56
1 2 1 5
1 2 2 22
1 2 3 40
1 3 1 7
1 3 2 0
1 3 3 18
2 1 1 44
2 1 2 23
2 1 3 22
2 2 1 24
2 2 2 17
2 2 3 10
2 3 1 10
2 3 2 1
2 3 3 9
3 1 1 43
3 1 2 7
3 1 3 16
3 2 1 28
3 2 2 7
3 2 3 13
3 3 1 14
3 3 2 15
3 3 3 11
4 1 1 14
4 1 2 12
4 1 3 25
4 2 1 17
4 2 2 4
4 2 3 2
4 3 1 20
4 3 2 1
4 3 3 2
5 1 1 6
5 1 2 19
5 1 3 74
5 2 1 82
5 2 2 57
5 2 3 34
5 3 1 22
5 3 2 31
5 3 3 8
6 1 1 31
6 1 2 22
6 1 3 18
6 2 1 19
6 2 2 5
6 2 3 4
6 3 1 19
6 3 2 5
6 3 3 22
;
/* run 6 */
proc glimmix data=prob1_count_part method=quadrature;
 class block a b;
 model count=a|b / d=poisson;
 random intercept a b / subject=block;
run;
/* run 7 */
proc glimmix data=prob1_count_part;
 class block a b;
 model count=a|b / d=poisson;
 random intercept a b / subject=block;
run;
/* run 8 */
proc glimmix data=prob1_count_part;
 class block a b;
 model count=a|b / d=poisson;
 random  a / subject=block type=cs;
 random  b / subject=block;
run;
/* run 9 */
proc glimmix data=prob1_count_part;
 class block a b;
 model count=a|b / d=poisson;
 random intercept a  / subject=block;
 random _residual_ / subject=block*b type=cs;
run;
/* run 10 */
proc glimmix data=prob1_count_part;
 class block a b;
 model count=a|b / d=poisson;
 random intercept a b a*b / subject=block;
run;
/* run 11 */
proc glimmix data=prob1_count_part;
 class block a b;
 model count=a|b / d=poisson;
 random intercept a  / subject=block;
 random a / subject=block*b type=cs;
run;
/* run 12 */
proc glimmix data=prob1_count_part;
 class block a b;
 model count=a|b / d=negbin;
 random intercept a  / subject=block;
 random _residual_ / subject=block*b type=cs;
run;
