data RptM_Binomial;
  input trt id time Fav N;
datalines;
1 1 1 5 14
1 1 2 0 14
1 1 3 1 14
1 1 4 3 14
1 1 5 0 14
1 1 6 1 14
1 2 1 7 14
1 2 2 8 14
1 2 3 3 14
1 2 4 5 14
1 2 5 10 14
1 2 6 1 14
1 3 1 9 14
1 3 2 3 14
1 3 3 11 14
1 3 4 12 14
1 3 5 14 14
1 3 6 10 14
1 4 1 7 14
1 4 2 10 14
1 4 3 8 14
1 4 4 1 14
1 4 5 4 14
1 4 6 3 14
1 5 1 7 14
1 5 2 4 14
1 5 3 2 14
1 5 4 10 14
1 5 5 12 14
1 5 6 5 14
1 6 1 1 14
1 6 2 4 14
1 6 3 11 14
1 6 4 9 14
1 6 5 7 14
1 6 6 7 14
2 1 1 1 14
2 1 2 2 14
2 1 3 8 14
2 1 4 9 14
2 1 5 8 14
2 1 6 12 14
2 2 1 6 14
2 2 2 4 14
2 2 3 4 14
2 2 4 12 14
2 2 5 9 14
2 2 6 10 14
2 3 1 4 14
2 3 2 6 14
2 3 3 8 14
2 3 4 13 14
2 3 5 14 14
2 3 6 12 14
2 4 1 6 14
2 4 2 2 14
2 4 3 5 14
2 4 4 3 14
2 4 5 8 14
2 4 6 11 14
2 5 1 7 14
2 5 2 11 14
2 5 3 14 14
2 5 4 13 14
2 5 5 12 14
2 5 6 13 14
2 6 1 10 14
2 6 2 7 14
2 6 3 9 14
2 6 4 9 14
2 6 5 11 14
2 6 6 12 14
; 
proc glimmix DATA=RptM_Binomial empirical=mbn;
 class trt time id;
 model Fav/N=trt|time;
 random intercept / subject=id(trt);
 random _residual_ / type=ar(1) subject=id(trt);
 lsmeans trt*time / ilink slice=time slicediff=time oddsratio cl;
 ods output slicediffs=gee_diff lsmeans=lsm_gee;;
 nloptions maxiter=1500;
run;
data gee_diff;
 set gee_diff;
 GEE_OR=OddsRatio;
 L_GEE=LowerOR;
 U_GEE=UpperOR;
proc sort data=gee_diff;
 by simpleeffectlevel;
proc print data=gee_diff;
run;
proc glimmix DATA=RptM_Binomial method=laplace;
 class trt time id;
 model Fav/N=trt|time;
 random intercept / subject=id(trt);
 random time / type=ar(1) subject=id(trt);
 lsmeans trt*time / ilink slice=time slicediff=time oddsratio cl;

 ods output slicediffs=glmm_diff lsmeans=lsm_glmm;
 nloptions maxiter=1500;
run;

data glmm_diff;
 set glmm_diff;
 GLMM_OR=OddsRatio;
 L_GLMM=LowerOR;
 U_GLMM=UpperOR;
proc sort data=glmm_diff;
 by simpleeffectlevel;
proc print data=glmm_diff;
run;
data compare_or;
 merge gee_diff glmm_diff;
 by simpleeffectlevel;

proc print data=compare_or;
 var simpleeffectlevel trt _trt L_GEE GEE_OR U_GEE  L_GLMM GLMM_OR U_GLMM;
run;

data lsm_gee;
 set lsm_gee;
  Marg_Mean_GEE=mu;
proc sort data=lsm_gee;
 by time trt;
data lsm_glmm;
 set lsm_glmm;
  P_Hat_GLMM=mu;
proc sort data=lsm_glmm;
 by time trt;
data ilinks;
 merge lsm_gee lsm_glmm;
proc print data=ilinks;
var time trt Marg_Mean_GEE P_Hat_GLMM;
run;
