/* Example 3.C.4: Binomial response, fixed location analysis */
/*  Use Data Set 3.2                                         */
proc glimmix data=MultiLoc_4Trt;
 class loc trt;
 model S_1/N_Bin=loc trt / solution oddsratio;
 lsmeans trt / diff ilink oddsratio e;
 estimate 'LSM Trt 0' intercept 8 Trt 8 0 0 0 Loc 1 1 1 1 1 1 1 1 / divisor=8 ilink;
 *estimate 'LSM Trt 0 alt' intercept 1 Trt 1 0 0 Loc 0 0 0 0 0 0 0 0;
 estimate 'Trt 0 v Trt 1 diff' Trt 1 -1 0 0 / exp;
 estimate 'avg Trt 0+1' Intercept 8 Trt 4 4 0 0 Loc 1 1 1 1 1 1 1 1 / divisor=8;
 estimate 'avg Trt 0_1_2' Intercept 24 Trt 8 0 8 8 Loc 3 3 3 3 3 3 3 3 / divisor=24;
 estimate 'Trt 0 v Trt 1 diff' Trt 1 -1 0 0,
          'Trt 2 v Trt 3 diff' Trt 0 0 1 -1, 
          'Trt 1 v Trt 2 diff' Trt 0 1 -1 0, 
          'Trt 1 v Trt 3 diff' Trt 0 1 0 -1 / exp adjust=sidak;
 estimate 'avg Trt 0+1 v avg Trt 2+3' Trt 1 1 -1 -1,
          'trt 1 v avg Trt 0+1+2'     Trt -1 3 -1 -1 / divisor=2,3;
 contrast 'Type 3 Trt SS' Trt 1 -1 0 0,
                          Trt 1 0 -1 0,
                          Trt 1 0 0 -1;
 contrast 'Type 3 Trt Test' Trt 1 -1 0 0,
                            Trt 0 1 -1 0,
                            Trt 0 0 1 -1;
 contrast 'Type 3 Trt H_0'  Trt -1 3 -1 -1,
                            Trt  2 0 -1 -1,
                            Trt  0 0  1 -1;
run;
