/* Marginal Models                 */
/*   examples shown in Section 3.E */
/* Use Data Set 3.2                */

/* marginal Gaussian GLMM  */
/* Figure 3.11             */ 
proc glimmix data=MultiLoc_4Trt;
 class loc trt;
 model Y= trt / solution;
 random _residual_  / subject=loc type=cs;
 lsmeans trt / diff;
run;


/* marginal Binomial GLMM  */ 
/* Figure 3.12             */
proc glimmix data=MultiLoc_4Trt;
 class loc trt;
 model S_1/N_Bin = trt / solution;
 random _residual_  / subject=loc type=cs;
 lsmeans trt / diff ilink;
run;

