data two_way;
seed=26312511;
var_eu=30;
 input a b mu;
 do rep=1 to 4;
  y=round(mu+sqrt(var_eu)*rannor(seed));
  output;
 end;
datalines;
0 0 50
0 1 57.5
0 2 70
1 0 65
1 1 69.5
1 2 71.6
;
proc print;
run;
ods rtf 
  file='C:\Users\wstroup\Documents\rtf_book\Ch7_Ex1_quant_fctrl.rtf' 
   bodytitle style=Journal;
ods graphics on; 
proc glimmix;
 class a b;
 model y=a|b;
 lsmeans a*b/slice=a slicediff=a adjust=bonferroni;
 lsmestimate a*b  'b1v2|a1' 1 -1 0,
                  'b1v3|a1' 1 0 -1,
                  'b2v3|a1' 0 1 -1,
		          'b1v2|a2' 0 0 0  1 -1 0,
		          'b1v3|a2' 0 0 0  1 0 -1,
		          'b2v3|a2' 0 0 0  1 0 -1 /adjust=bonferroni;
 *lsmeans a*b/adjust=dunnett diff=control('0' '2'); 
 *lsmeans a*b / plot=meanplot(sliceby=a join) diff lines;
run;
ods rtf close;
quit;
run;

ods rtf 
  file='C:\Documents and Settings\User\My Documents\RTF\Ch7_Ex1_quant_nested.rtf' 
   bodytitle style=Journal;
ods graphics on; 
ods select contrasts tests3;
proc glimmix;
 class a b;
 model y=a b(a);
 contrast 'slice of B | A0' b(a) 1 0 -1 0 0 0,
                            b(a) 0 1 -1 0 0 0;
 contrast 'slice of B | A0' b(a) 0 0 0 1 0 -1,
                            b(a) 0 0 0 0 1 -1;
 *lsmeans b(a)/slice=a slicediff=a;
run;
ods rtf close;
quit;
run;

