data example_8_4;
 input block col row a b y;
datalines;
1 1 1 1 1 7.1
1 2 1 1 2 36.1
1 1 2 2 1 7.5
1 2 2 2 2 30.9
2 1 1 1 1 11.8
2 2 1 1 3 32.2
2 1 2 2 1 17.1
2 2 2 2 3 26.8
3 1 1 1 2 28.3
3 2 1 1 3 25.6
3 1 2 2 2 23.1
3 2 2 2 3 24.5
4 1 1 1 1 15.5
4 2 1 1 2 25.8
4 1 2 3 1 13
4 2 2 3 2 25.4
5 1 1 1 1 0.4
5 2 1 1 3 25.5
5 1 2 3 1 11.1
5 2 2 3 3 17.6
6 1 1 1 2 26.5
6 2 1 1 3 25
6 1 2 3 2 16.2
6 2 2 3 3 17.1
7 1 1 2 1 12
7 2 1 2 2 23.5
7 1 2 3 1 9.6
7 2 2 3 2 16.5
8 1 1 2 1 24.1
8 2 1 2 3 26
8 1 2 3 1 20.1
8 2 2 3 3 23.6
9 1 1 2 2 20.4
9 2 1 2 3 27
9 1 2 3 2 20.6
9 2 2 3 3 15.7
;
/* default run */
proc glimmix data=example_8_4;
 class block a b;
 model y=a|b/ddfm=kr;
 random intercept a b / subject=block;
run;
/* variance component model with NOBOUND */
proc glimmix data=example_8_4 nobound;
 class block a b;
 model y=a|b/ddfm=kr;
 random intercept a b / subject=block;
run;
/* equivalent marginal model using CS             */
/* note: equivalences hold for Gaussian data ONLY */
proc glimmix data=example_8_4 nobound;
 class block a b;
 model y=a|b/ddfm=kr;
 random intercept b / subject=block;
 random residual / subject=block*a type=cs;
run;
