data example_9_1;
 input a y;
datalines;
1 14.9
1 17.4
2 18.2
2 16.5
3 13.4
3 10.9
4 16.3
4 16.4
5 14.6
5 14.2
6 19.4
6 16.3
7 20.9
7 19.2
8 18.5
8 18.3
9 17.5
9 17.5
10 13.6
10 11.6
11 12.5
11 13.3
12 16.1
12 14.1
;
/* A effects fixed */
proc glimmix data=example_9_1;
 class a;
 model y=a / solution;
 estimate 'overall mean' intercept 1 / e;
run;

/* A effects random */
proc glimmix data=example_9_1;
class a;
 model y= / solution;
 random intercept / subject=a solution;
 estimate 'overall mean' intercept 1 / e;
 estimate 'overall mean narrow' intercept 12 | intercept 1 / subject 1 1 1 1 1 1 1 1 1 1 1 1  divisor=12;
 estimate 'blup a_1' intercept 1 | intercept 1 / subject 1 0;
 estimate 'blup a_2' intercept 1 | intercept 1 / subject 0 1 0;
 estimate 'blup a_3' intercept 1 | intercept 1 / subject 0 0 1 0;
 estimate 'blup a_4' intercept 1 | intercept 1 / subject 0 0 0 1 0;
 estimate 'blup a_5' intercept 1 | intercept 1 / subject 0 0 0 0 1 0;
 estimate 'blup a_6' intercept 1 | intercept 1 / subject 0 0 0 0 0 1 0;
 estimate 'blup a_7' intercept 1 | intercept 1 / subject 0 0 0 0 0 0 1 0;
 estimate 'blup a_8' intercept 1 | intercept 1 / subject 0 0 0 0 0 0 0 1 0;
 estimate 'blup a_9' intercept 1 | intercept 1 / subject 0 0 0 0 0 0 0 0 1 0;
 estimate 'blup a_10' intercept 1 | intercept 1 / subject 0 0 0 0 0 0 0 0 0 1 0;
 estimate 'blup a_11' intercept 1 | intercept 1 / subject 0 0 0 0 0 0 0 0 0 0 1 0;
 estimate 'blup a_12' intercept 1 | intercept 1 / subject 0 0 0 0 0 0 0 0 0 0 0 1;
run;
