data example_9_2;
 input a b y;
datalines;
1 1 17
1 1 17.1
1 2 17.7
1 2 17
2 1 18.8
2 1 18.6
2 2 20
2 2 20.1
3 1 17.6
3 1 19.5
3 2 20.5
3 2 19.6
4 1 18.4
4 1 16.3
4 2 20.5
4 2 21.4
5 1 19.8
5 1 20.3
5 2 21.2
5 2 18.9
6 1 22.1
6 1 20.8
6 2 21
6 2 25.3
7 1 17.7
7 1 16.6
7 2 17.2
7 2 18.2
;
/* 1 - B effects fixed */
proc glimmix data=example_9_2;
 class a b;
 model y=a b(a);
 estimate 'overall mean' intercept 1 / e;
 lsmeans a / e;
run;
/* 2 - B effects random */
proc glimmix data=example_9_2;
 class a;
 model y= / solution;
 random intercept b/ subject=a solution;
 estimate 'blup a_1' intercept 1 | intercept 1 / subject 1 0;
 estimate 'blup a_1 narrow' intercept 2 | intercept 2 b 1 1 / subject 1 0 divisor=2;
 estimate 'blup a_2' intercept 1 | intercept 1 / subject 0 1 0;
 estimate 'blup a_3' intercept 1 | intercept 1 / subject 0 0 1 0;
 estimate 'blup a_4' intercept 1 | intercept 1 / subject 0 0 0 1 0;
 estimate 'blup a_5' intercept 1 | intercept 1 / subject 0 0 0 0 1 0;
 estimate 'blup a_6' intercept 1 | intercept 1 / subject 0 0 0 0 0 1 0;
 estimate 'blup a_7' intercept 1 | intercept 1 / subject 0 0 0 0 0 0 1;
run;
