data Ch5_Pr1;
 input Location Trt Y;
datalines;
1 1 60
1 1 63
1 2 48
1 2 44
1 3 54
1 3 55
2 1 52
2 1 57
2 2 38
2 2 39
2 3 55
2 3 47
3 1 65
3 1 59
3 2 43
3 2 39
3 3 65
3 3 65
4 1 62
4 1 67
4 2 41
4 2 40
4 3 53
4 3 56
5 1 54
5 1 56
5 2 43
5 2 35
5 3 57
5 3 53
6 1 63
6 1 61
6 2 41
6 2 43
6 3 52
6 3 56
7 1 61
7 1 64
7 2 46
7 2 41
7 3 64
7 3 64
;
/* run 1 */
proc glimmix data=ch5_Pr1;
 class Location Trt;
 model y=Trt;
 random intercept Trt / subject=Location;
 lsmeans Trt;
run;

/* run 2 */
/* PROC GLM was the primary general purpose SAS linear model software pre-PROC MIXED, GENMOD and GLIMMIX */
/* for Guassian data, the estimates it obtains are identical to PROC GLIMMIX with ALL effects fixed      */ 
proc glm data=ch5_Pr1;
 class Location Trt;
 model y=Trt|Location;
 random Location Trt*Location;
 lsmeans Trt / stderr e=Trt*Location;
run;
