data prob3_gaussian_part;
 input block a b y;
datalines;
1 1 1 46
1 1 2 44
1 1 3 39.9
1 2 1 32.9
1 2 2 35.4
1 2 3 33.2
1 3 1 42.3
1 3 2 46.3
1 3 3 50.6
2 1 1 30.8
2 1 2 37
2 1 3 33
2 2 1 35.3
2 2 2 40.3
2 2 3 45.6
2 3 1 39
2 3 2 47.8
2 3 3 48.2
3 1 1 41.2
3 1 2 38.7
3 1 3 45.2
3 2 1 44.1
3 2 2 36.3
3 2 3 51.3
3 3 1 35.8
3 3 2 42.1
3 3 3 51.3
4 1 1 35.5
4 1 2 31.7
4 1 3 43.3
4 2 1 37.3
4 2 2 44.7
4 2 3 51.9
4 3 1 48.2
4 3 2 47.5
4 3 3 52.4
5 1 1 35
5 1 2 47.3
5 1 3 41.7
5 2 1 40.2
5 2 2 41.3
5 2 3 45.3
5 3 1 51.3
5 3 2 57.3
5 3 3 58.8
6 1 1 30.5
6 1 2 32.1
6 1 3 23
6 2 1 39
6 2 2 44.8
6 2 3 36.3
6 3 1 34.3
6 3 2 43.3
6 3 3 40.3
;
/* run 1 */
proc glimmix data=prob1_gaussian_part;
 class block a b;
 model y=a|b;
 random intercept a b / subject=block;
 lsmeans a;
 lsmeans a*b / slicediff=a;
run;
/* run 2 */
proc glm data=prob1_gaussian_part;
 class block a b;
 model y=a|b block|a block|b;
 random block block*a block*b;
run;
/* run 3 */
proc glimmix data=prob1_gaussian_part;
 class block a b;
 model y=a|b;
 random intercept a / subject=block;
 random _residual_ / subject=block*b type=cs;
 lsmeans a;
 lsmeans a*b / slicediff=a;
run;
/* run 4 */
proc glimmix data=prob1_gaussian_part;
 class block a b;
 model y=a|b;
 random a / subject=block type=cs;
 random b / subject=block;
 lsmeans a;
 lsmeans a*b / slicediff=a;
run;
/* run 5 */
proc glimmix data=prob1_gaussian_part method=quadrature;
 class block a b;
 model y=a|b;
 random intercept a b / subject=block;
 lsmeans a;
 lsmeans a*b / slicediff=a;
run;
